import { myRequest } from '@/utils/request'
//登录
export function Authenticate(data = {}) {
    return myRequest.base({
        url: '/api/TokenAuth/Authenticate',
        method: 'post',
        data
    })
}
//自动登录
export function AuthenticateAuto(data = {}) {
    return myRequest.base({
        url: '/api/TokenAuth/AuthenticateAuto',
        method: 'post',
        data
    })
}
//学段-列表
export function EducationCategoryGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/GetList',
        method: 'get',
        data
    })
}
//学段-详情
export function EducationCategoryGetOne(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/GetOne',
        method: 'get',
        data
    })
}
//学段-创建
export function EducationCategoryCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/Create',
        method: 'post',
        data
    })
}
//学段-修改
export function EducationCategoryUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/Update',
        method: 'put',
        data,
        params
    })
}
//学段-是否启用（单个）
export function EducationCategoryActive(params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/Active',
        method: 'put',
        params
    })
}
//学段-是否启用（多个）
export function EducationCategoryActiveList(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/ActiveList',
        method: 'post',
        data,
        params
    })
}
//学段-删除（单个）
export function EducationCategoryDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/Delete',
        method: 'delete',
        data
    })
}
//学段-删除（多个）
export function EducationCategoryDeleteList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/EducationCategory/DeleteList',
        method: 'delete',
        data
    })
}
//学段-同步
export function EducationCategoryDataSync() {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/EducationCategory/DataSync',
      method: 'post'
  })
}
//学科-列表
export function DisciplineGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/GetList',
        method: 'get',
        data
    })
}
//学科-详情（单个）
export function DisciplineGetOne(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/GetOne',
        method: 'get',
        data
    })
}
//学科-创建
export function DisciplineCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/Create',
        method: 'post',
        data
    })
}
//学科-修改
export function DisciplineUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/Update',
        method: 'put',
        data,
        params
    })
}
//学科-删除（单个）
export function DisciplineDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/Delete',
        method: 'delete',
        data,
    })
}
//学科-删除（多个）
export function DisciplineDeleteList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/DeleteList',
        method: 'delete',
        data,
    })
}
//学科-同步
export function DisciplineDataSync(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Discipline/DataSync',
        method: 'post',
        data,
    })
}
//题型-列表
export function GetQuestionTypeList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionType/GetQuestionTypeList',
        method: 'get',
        data
    })
}
//题型-创建
export function CreateQuestionType(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionType/CreateQuestionType',
        method: 'post',
        data
    })
}
//题型-修改
export function UpdateQuestionType(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionType/UpdateQuestionType',
        method: 'put',
        data,
        params
    })
}
//题型-排序
export function SortQuestionType(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionType/Sort',
        method: 'put',
        data,
    })
}
//题型-删除
export function DeleteQuestionTypeId(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionType/DeleteQuestionTypeId',
        method: 'delete',
        data,
    })
}
//教材-列表
export function TextbookGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Textbook/GetList',
        method: 'get',
        data
    })
}
//教材-新建
export function TextbookCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Textbook/Create',
        method: 'post',
        data
    })
}
//教材-更新
export function TextbookUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Textbook/Update',
        method: 'put',
        data,
        params
    })
}

//教材-同步
export function TextbookDataSync(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Textbook/DataSync',
      method: 'post',
      data,
  })
}
//教材-激活
export function TextbookActive(params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Textbook/Active',
        method: 'put',
        params
    })
}
//教材-删除
export function TextbookDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Textbook/Delete',
        method: 'delete',
        data
    })
}
//学科细分题型-列表
export function DisciplineQuestionTypeGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/DisciplineQuestionType/GetList',
        method: 'get',
        data
    })
}
//学科细分题型-创建
export function DisciplineQuestionTypeCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/DisciplineQuestionType/Create',
        method: 'post',
        data
    })
}
//学科细分题型-修改
export function DisciplineQuestionTypeUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/DisciplineQuestionType/Update',
        method: 'put',
        data,
        params
    })
}
//学科细分题型-删除
export function DisciplineQuestionTypeDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/DisciplineQuestionType/Delete',
        method: 'delete',
        data
    })
}
//知识点-列表
export function KnowledgePointGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/GetList',
        method: 'get',
        data
    })
}
//知识点-详情
export function KnowledgePointGetOne(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/GetOne',
        method: 'get',
        data
    })
}
//知识点-获取所有知识点（包括自己）
export function GetAllChildKnowledgePoint(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/GetAllChildKnowledgePoint',
        method: 'get',
        data
    })
}
//知识点-获取知识点名称路径
export function KnowledgePointGetNamePath(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/GetNamePath',
        method: 'get',
        data
    })
}
//知识点-创建
export function KnowledgePointGetCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/Create',
        method: 'post',
        data
    })
}
//知识点-修改
export function KnowledgePointGetUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/Update',
        method: 'put',
        data,
        params
    })
}
//知识点-排序
export function KnowledgePointGetSort(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/Sort',
        method: 'post',
        data
    })
}
//知识点-移动知识点
export function KnowledgePointGetMoveTo(params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/MoveTo',
        method: 'post',
        params
    })
}
//知识点-删除
export function KnowledgePointGetDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/KnowledgePoint/Delete',
        method: 'delete',
        data
    })
}
//章节-列表
export function ChapterGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/GetList',
        method: 'get',
        data
    })
}
//章节-获取教材下所有章节
export function ChapterGetAllByTextbookList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/GetChapterTextbookAll',
        method: 'get',
        data
    })
}
//章节-详情
export function ChapterGetInfo(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/GetInfo',
        method: 'get',
        data
    })
}
//章节-获取章节名称路进
export function ChapterGetNamePath(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/GetNamePath',
        method: 'get',
        data
    })
}
//章节-创建
export function ChapterCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/Create',
        method: 'post',
        data
    })
}
//章节-修改
export function ChapterUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/Update',
        method: 'put',
        data,
        params
    })
}
//章节-排序
export function ChapterSort(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/Sort',
        method: 'put',
        data,
    })
}
//章节-删除
export function ChapterDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Chapter/Delete',
        method: 'delete',
        data,
    })
}

//教材-同步
export function ChapterDataSync(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Chapter/DataSync',
      method: 'post',
      data,
  })
}
//用户-列表
export function UserGetAll(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/GetAll',
        method: 'get',
        data,
    })
}
//用户-创建
export function UserCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/Create',
        method: 'post',
        data,
    })
}
//用户-改变状态
export function UserActivate(params = {}) {
    return myRequest.base({
        url: '/api/services/app/User/Activate',
        method: 'post',
        params,
    })
}
//用户-更新
export function UserUpdate(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/Update',
        method: 'put',
        data,
    })
}
//用户-删除
export function UserDelete(params = {}) {
    return myRequest.base({
        url: '/api/services/app/User/Delete',
        method: 'delete',
        params,
    })
}
//用户-删除（批量）
export function UserDeleteList(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/DeleteList',
        method: 'delete',
        data,
    })
}
//用户-获取所有角色
export function UserGetRoles(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/GetRoles',
        method: 'get',
        data,
    })
}
//用户-改变语言
export function UserChangeLanguage(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/ChangeLanguage',
        method: 'post',
        data,
    })
}
//用户-改变密码
export function UserChangePassword(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/ChangePassword',
        method: 'post',
        data,
    })
}
//用户-重置密码
export function UserResetPassword(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/ResetPassword',
        method: 'post',
        data,
    })
}
//用户-分配角色
export function UserSetRoles(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/app/User/SetRoles',
        method: 'post',
        data,
        params
    })
}
//用户-详情
export function UserGet(data = {}) {
    return myRequest.base({
        url: '/api/services/app/User/Get',
        method: 'get',
        data,
    })
}
//试题难度-列表
export function GetDifficulty(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionBaseData/GetDifficulty',
        method: 'get',
        data,
    })
}
//获取试题列表
export function QuestionGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/GetList',
        method: 'get',
        data
    })
}
//试题-下载导入模板
export function GetQuestionTemplate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/GetQuestionTemplate',
        method: 'get',
        type: 'blob',
        data
    })
}
//试题-详情
export function QuestionGetInfo(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/GetInfo',
        method: 'get',
        data
    })
}
//试题-下载
export function QuestionGetQuestionDoc(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/GetQuestionDoc',
        method: 'get',
        type: 'blob',
        data
    })
}
//试题-修改
export function QuestionUpdate(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/Update',
        method: 'put',
        data,
        params
    })
}
//试题-解析
export function QuestionResolve(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/Resolve',
        method: 'post',
        data
    })
}
//试题-上传替换
export function QuestionReplace(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/Replace',
        method: 'post',
        data
    })
}
//试题解析-列表
export function QuestionResolveTaskGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/GetList',
        method: 'get',
        data
    })
}
//试题解析-试题详情
export function QuestionResolveTaskGetInfo(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/GetInfo',
        method: 'get',
        data
    })
}
//试题解析-修改试题
export function QuestionUpdateOrigin(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Question/UpdateOrigin',
        method: 'put',
        data,
        params
    })
}
//试题解析-获取完整试题
export function QuestionResolveTaskGetTaskQuestions(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/GetTaskQuestions',
        method: 'get',
        data
    })
}
//试题解析-下载所解析的文件
export function QuestionResolveTaskGetTaskFile(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/GetTaskFile',
        method: 'get',
        data,
        type: 'blob'
    })
}
//试题解析-重试
export function QuestionResolveTaskReTry(params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/ReTry',
        method: 'post',
        params
    })
}
//试题解析-确认导入
export function QuestionResolveAffirmTaskQuestion(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/AffirmTaskQuestion',
        method: 'post',
        data,
        params
    })
}
//试题解析-删除
export function QuestionResolveTaskDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/QuestionResolveTask/Delete',
        method: 'delete',
        data
    })
}
//试卷-列表
export function PaperGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/GetList',
        method: 'get',
        data
    })
}
//试卷-详情
export function PaperGetPaperInfo(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/GetPaperInfo',
        method: 'get',
        data
    })
}
//试卷-创建
export function PaperCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/Create',
        method: 'post',
        data,
    })
}
//试卷-自动组卷
export function PaperAutoPaper(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/AutoPaper',
        method: 'post',
        data,
        params
    })
}
//试卷-生成试卷
export function PaperProduce(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/Produce',
        method: 'post',
        data,
        params
    })
}
//试卷-查询试卷生成结果
export function GetPaperProduceResult(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/GetPaperProduceResult',
        method: 'get',
        data,
    })
}

//试卷-查询试卷生成结果最后一条
export function GetPaperProduceResultOne(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/GetPaperProduceResultOne',
        method: 'get',
        data,
    })
}

//试卷-试卷生成结果-删除
export function PaperDeleteProduceResult(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/DeleteProduceResult',
        method: 'delete',
        data,
    })
}
//试卷-保存试卷
export function PaperSave(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/Save',
        method: 'post',
        data
    })
}
//试卷-删除试卷
export function PaperDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/Paper/Delete',
        method: 'delete',
        data
    })
}
//试卷-获取试卷所有试题
export function PaperQuestionGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperQuestion/GetList',
        method: 'get',
        data
    })
}
//试卷-给试卷添加试题
export function PaperQuestionAppend(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperQuestion/Append',
        method: 'post',
        data
    })
}
//试卷-试题排序
export function PaperQuestionSort(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperQuestion/Sort',
        method: 'put',
        data,
        params
    })
}
//试卷-删除试卷试题
export function PaperQuestionDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperQuestion/Delete',
        method: 'delete',
        data
    })
}
//试卷-删除试卷试题（批量）
export function PaperQuestionDeleteList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperQuestion/DeleteList',
        method: 'delete',
        data
    })
}
//试卷设置-获取设置
export function GetPaperSettings(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperSetting/GetPaperSettings',
        method: 'get',
        data
    })
}
//试卷设置-获取试卷细分题型排序设置
export function GetDisciplineSortSetting(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperSetting/GetDisciplineSortSetting',
        method: 'get',
        data
    })
}
//试卷设置-修改试卷细分题型排序
export function UpdateDisciplineSortSetting(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperSetting/UpdateDisciplineSortSetting',
        method: 'put',
        data,
        params
    })
}
//试卷设置-保存
export function SavePaperSetting(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperSetting/SavePaperSetting',
        method: 'post',
        data,
        params
    })
}
//角色-列表
export function RoleGetAll(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/GetAll',
        method: 'get',
        data
    })
}
//角色-详情
export function RoleGet(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/Get',
        method: 'get',
        data
    })
}
//角色-得到用户角色
export function RoleGetRoleForEdit(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/GetRoleForEdit',
        method: 'get',
        data
    })
}
//角色-所有设置
export function RoleGetAllPermissions(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/GetAllPermissions',
        method: 'get',
        data
    })
}
//角色-创建
export function RoleCreate(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/Create',
        method: 'post',
        data
    })
}
//角色-通过权限获取角色
export function RoleGetRoles(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/GetRoles',
        method: 'get',
        data
    })
}
//角色-修改
export function RoleUpdate(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/Update',
        method: 'put',
        data
    })
}
//角色-删除
export function RoleDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/app/Role/Delete',
        method: 'delete',
        data
    })
}
//获取用户所属学科
export function UserManagerGetUserDiscipline(data = {}) {
    return myRequest.base({
        url: '/api/services/app/UserManager/GetUserDiscipline',
        method: 'get',
        data
    })
}
//分配用户所属学科
export function UserManagerUpdateUserDiscipline(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/app/UserManager/UpdateUserDiscipline',
        method: 'put',
        data,
        params
    })
}
//消息-列表
export function GetUserMessage(data = {}) {
    return myRequest.base({
        url: '/api/services/app/UserMessage/GetUserMessage',
        method: 'get',
        data
    })
}
//消息-未读消息数量
export function GetNotReadCount(data = {}) {
    return myRequest.base({
        url: '/api/services/app/UserMessage/GetNotReadCount',
        method: 'get',
        data
    })
}
//消息-读取
export function UserMessageRead(data = {}) {
    return myRequest.base({
        url: '/api/services/app/UserMessage/Read',
        method: 'put',
        data
    })
}
//消息-删除（单个）
export function UserMessageDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/app/UserMessage/Delete',
        method: 'delete',
        data
    })
}
//消息-删除（多个）
export function UserMessageDeleteList(data = {}) {
    return myRequest.base({
        url: '/api/services/app/UserMessage/DeleteList',
        method: 'delete',
        data
    })
}
//试卷任务-列表
export function PaperProduceTaskGetList(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperProduceTask/GetList',
        method: 'get',
        data
    })
}
//试卷任务-删除
export function PaperProduceTaskDelete(data = {}) {
    return myRequest.base({
        url: '/api/services/QuestionLibrary/PaperProduceTask/Delete',
        method: 'delete',
        data
    })
}

//年级-列表
export function GradeGetList(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Grades/GetList',
      method: 'get',
      data
  })
}
//年级-创建
export function GradeCreate(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Grades/Create',
      method: 'post',
      data
  })
}
//年级-修改
export function GradeUpdate(data = {}, params = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Grades/Update',
      method: 'put',
      data,
      params
  })
}

//年级-删除（单个）
export function GradeDelete(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Grades/Delete',
      method: 'delete',
      data
  })
}
//年级-删除（多个）
export function GradeDeleteList(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Grades/DeleteList',
      method: 'delete',
      data
  })
}
//年级-同步
export function GradesDataSync() {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Grades/DataSync',
      method: 'post'
  })
}

//测验-列表
export function TestingGetList(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Testing/GetList',
      method: 'get',
      data
  })
}

//测验-添加
export function TestingCreate(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Testing/Create',
      method: 'post',
      data
  })
}
//测验-修改
export function TestingUpdate(data = {}, params = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Testing/Update',
      method: 'put',
      data,
      params
  })
}
//测验-删除（单个）
export function TestingDelete(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/Testing/Delete',
      method: 'delete',
      data
  })
}

//测验试题-列表
export function TestingQuestionGetList(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/TestingQuestion/GetList',
      method: 'get',
      data
  })
}

//测验试题-更新
export function TestingQuestionUpdate(data = {}) {
  return myRequest.base({
      url: '/api/services/QuestionLibrary/TestingQuestion/Update',
      method: 'put',
      data
  })
}


































//文件-上传
export function FileUpload(data = {}, params = {}) {
    return myRequest.base({
        url: '/api/services/File/File/Upload',
        method: 'post',
        type: 'file',
        data,
        params
    })
}
//图片-上传
export function FileUploadImg(data = {}) {
    return myRequest.base({
        url: '/api/services/File/File/UploadImg',
        method: 'post',
        type: 'file',
        data,
    })
}
//文件-读取
export function FileReadFile(data = {}) {
    return myRequest.base({
        url: '/api/services/File/File/ReadFile',
        method: 'get',
        type: 'blob',
        data,
    })
}